name: Git Town

on:
  pull_request:

jobs:
  git-town:
    name: Display the branch stack
    runs-on: ubuntu-slim

    if: ${{ !startsWith(github.head_ref, 'release-please--') }}

    permissions:
      contents: read
      pull-requests: write

    steps:
      - uses: actions/checkout@REDACTED_GITEA_TOKEN # v6.0.1
      - uses: stoatchat/action-git-town@REDACTED_GITEA_TOKEN
